com.sun.enterprise.module.ResolveError: Failed to start Bundle Id [258] State [INSTALLED] [org.glassfish.main.admingui.glassfish-osgi-console-plugin(Glassfish OSGI Console Plugin):3.1.2.1-SNAPSHOT]

Oracle Community | User12619598-Oracle | 5 years ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Cannot start web console in Glassfish version 3.1.2.2

    Oracle Community | 5 years ago | 392 Guest
    com.sun.enterprise.module.ResolveError: Failed to start Bundle Id [258] State [INSTALLED] [org.glassfish.main.admingui.glassfish-osgi-console-plugin(Glassfish OSGI Console Plugin):3.1.2.1-SNAPSHOT]
  2. 0

    Re: Cannot start web console in Glassfish version 3.1.2.2

    Oracle Community | 5 years ago | User12619598-Oracle
    com.sun.enterprise.module.ResolveError: Failed to start Bundle Id [258] State [INSTALLED] [org.glassfish.main.admingui.glassfish-osgi-console-plugin(Glassfish OSGI Console Plugin):3.1.2.1-SNAPSHOT]
  3. 0

    glassfish cannot start bundle org.glassfish.main.admingui.glassfish-osgi-console-plugin

    Stack Overflow | 5 years ago | Le Jo
    com.sun.enterprise.module.ResolveError: Failed to start Bundle Id [263] State [RESOLVED] [org.glassfish.main.admingui.glassfish-osgi-console-plugin(Glassfish OSGI Console Plugin):3.1.2.1-SNAPSHOT]
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Oracle Java EE First Cup Tutorial 2.1--GlassFish 3.1.2 Errors

    Stack Overflow | 5 years ago | Pete Terlep
    com.sun.enterprise.module.ResolveError: Failed to start Bundle Id [336] State [INSTALLED] [org.glassfish.main.admingui.glassfish-osgi-console-plugin(Glassfish OSGI Console Plugin):3.1.2.1-SNAPSHOT]
  6. 0

    Error while osgi-fying existing webservice war

    Stack Overflow | 4 years ago | ImranRazaKhan
    org.osgi.framework.BundleException: Unresolved constraint in bundle HelloCxfWS [292]: Unable to resolve 292.0: missing requirement [292.0] osgi.wiring.package; (osgi.wiring.package=org.apache.servicemix.cxf.transport.http_cxf)

  1. davidvanlaatum 28 times, last 6 months ago
15 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Cannot start bundle org.glassfish.main.admingui.glassfish-osgi-console-plugin [258] because its start level is 2, which is greater than the framework's start level of 1.

    at org.apache.felix.framework.Felix.startBundle()
  2. Apache Felix Framework
    BundleImpl.start
    1. org.apache.felix.framework.Felix.startBundle(Felix.java:1807)
    2. org.apache.felix.framework.BundleImpl.start(BundleImpl.java:944)
    2 frames
  3. HK2 OSGi Adapter
    OSGiModuleImpl.start
    1. org.jvnet.hk2.osgiadapter.OSGiModuleImpl.start(OSGiModuleImpl.java:169)
    1 frame